# Generated from soft_delete-workbar-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soft_delete-workbar

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A no-frills implementation of soft delete for Rails
License: MIT
URL: https://github.com/workbar-dev/soft_delete.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rails) >= 4.0
# BuildRequires: rubygem(rails) < 5
BuildArch: noarch

%description
# Soft Delete
> In a production app, you should probably never really delete anything.
[source](https://twitter.com/theebeastmaster/status/966870021099180034)
A soft-delete marks a record as deleted, and keeps it in the database
for historical reference.
## Installation
Add this line to your application's Gemfile:
```ruby
gem "soft_delete-workbar", require: "soft_delete"
```
And then execute:
$ bundle
Or install it yourself as:
$ gem install soft_delete-workbar
## Usage
Safely "delete" records from your database without losing them permanently.
* Add SoftDelete to a model
```
class MyModel < ActiveRecord::Base
include SoftDelete
end
```
* Add a `deleted_at` column to the model's database table
```
rails g migration AddSoftDeleteToMyModels deleted_at:timestamp
```
* Safely call `MyModel#delete` without losing the record forever
## Methods
Please see the `SoftDelete` module and the associated tests for a description
of
the methods that will be added to your model.
* `.not_deleted` - records without a deleted_at timestamp
* `.deleted` - records with a deleted_at timestamp
* `#delete` - set the deleted_at timestamp
* `#delete!` - delete the record from the database
* `#destroy` - set the deleted_at timestamp, and run callbacks
* `#destroy!` - delete the record from the database, and run callbacks
* `#restore` - set the deleted_at timestamp to nil
It will be necessary to exclude deleted records when querying the model.
Use the `not_deleted` scope that now exists on the model.
```ruby
class MyModelsController < ApplicationController
def index
@my_models = MyModel.not_deleted
end
end
```
## Development
After checking out the repo, run `bin/setup` to install dependencies. Then,
run
`rake spec` to run the tests. You can also run `bin/console` for an
interactive
prompt that will allow you to experiment.
To install this gem onto your local machine, run `bundle exec rake install`.
To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).
## Contributing
Bug reports and pull requests are welcome on GitHub at
https://github.com/workbar-dev/soft_delete.
## License
The gem is available as open source under the terms of the
[MIT License](https://opensource.org/licenses/MIT).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/soft_delete-workbar.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
